<?php 
ini_set('max_execution_time', 500);
//CONEXIONES
$conexion1 = mysql_connect('postventa.itodoslossantos.cl', 'pvitls_simas', 'postventa')or die(mysql_error());//BASE DE DATOS LOCAL
$conexion2 = mysql_connect('itodoslossantos.cl','ciss_evalle','vain2012')or die(mysql_error());//EXTERNA
$itodos = 'ciss_intranetciss';
$postventa = 'pvitls_postventa';
//BASES DE DATOS
mysql_select_db($postventa,$conexion1)or die(mysql_error());
mysql_select_db($itodos,$conexion2)or die(mysql_error());
$querydepartamento ="SELECT  c.num_casa,null,p.proyecto, pv.id_pro_venta,pv.fec_promesa,pv.fec_escritura,   e.etapa, p.proyecto,
						m.manzana, null,  null, t.tip_casa, t.sup_construida,c.sup_terreno, t.num_dormitorios, t.num_banos
						FROM  $itodos.tbl_casaxmanzanaxetapaxproy c
						INNER JOIN $itodos.tbl_manzanaxetapaxproyecto m on m.id_manzana=c.id_manzana
						INNER JOIN  $itodos.tbl_etapaxproyecto e ON e.id_etapa = m.id_etapa
						INNER JOIN  $itodos.tbl_proyecto p ON p.id_proyecto = e.id_proyecto
						INNER JOIN  $itodos.tbl_tipo_casaxproyecto t ON t.id_tip_casa = c.id_tip_casa
						/*VALIDAR ENTREGADOS  */
						INNER JOIN tbl_proceso_venta pv ON pv.id_casa = c.id_casa and pv.estado = 5
						WHERE  p.id_proyecto In( 40,49,71,53)";


		$resultado = mysql_query($querydepartamento,$conexion2)or die(mysql_error());
		 	if(mysql_num_rows($resultado)> 0){
		   	 while($fila = mysql_fetch_assoc($resultado)){
				    		$numero = $fila['num_casa'];
				    		$num_piso = null;
				    		$obs_entrega = "";
				    		$obs_pre_entrega = "";
				    		$fecha_entrega = null;
				    		$fecha_preentrega = null;
				    		$fecha_promesa = $fila['fec_promesa'];
				    		$fecha_escritura = $fila['fec_escritura'];
							$id_proyecto = buscarIDproyecto($fila['proyecto'],$conexion1);
							$proyecto = $fila['proyecto'];
							$id_etapa = buscarIDetapa($fila['etapa'],$id_proyecto,$conexion1);
							$abreviatura = $fila['manzana'];
							$id_diseno = BuscarConfiguracionEtapa($abreviatura,$id_etapa,$conexion1);
							//BUSCAR DISEÑO DE LA ETAPA
				  			$id_modelo = 29;//DEFECTO
				  			$existe = existedepartamento($numero,$id_diseno,$num_piso,$conexion1);
					 		 if($existe == "1"){
					  					echo "SE DEBE ACTUALIZAR"."<br>";
					  			}else{

									$queryInsertar = "INSERT INTO tblpropiedades(ID_DISENOETAPA, ID_MODELO, NUMERO, OBS_PREENTREGA, OBS_ENTREGA,
																						PISO, FECHA_ENTREGA, FECHA_PREENTREGA, FECHA_PROMESA, FECHA_ESCRITURA)
																VALUES ('$id_diseno','$id_modelo','$numero','$obs_pre_entrega','$obs_entrega','$num_piso','$fecha_entrega',
																		'$fecha_preentrega','$fecha_promesa','$fecha_escritura')";
									if(mysql_query($queryInsertar,$conexion1)){
											echo "GUARDADO"."<br>";
										}else{
										}
					  			}
		  			}
		     }else{
		     	echo "NO TRAE FILAS";
		    }



function BuscarConfiguracionEtapa($abreviatura,$id_etapa,$conexion1){
	$resultado = mysql_query("SELECT ce.ID_DISENOETAPA
							FROM  pvitls_postventa.tblconfiguracionetapas ce
							INNER JOIN pvitls_postventa.tbletapas e ON e.id_etapa = ce.id_etapa
							INNER JOIN pvitls_postventa.tblmodelounidadconstrucciones mc ON mc.ID_MODELOUNIDADCONSTRUCCION = ce.ID_MODELOUNIDADCONSTRUCCION
							WHERE    mc.ABREVIATURA ='$abreviatura' and ce.id_etapa ='$id_etapa' ",$conexion1); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
			return $resultado['ID_DISENOETAPA']; 
	}  
	}


 function existedepartamento($numero,$id_diseno,$num_piso,$conexion1){
 	$resultado = mysql_query("SELECT  ID_PROPIEDAD ,  ID_DISENOETAPA , 
                                      ID_MODELO ,  NUMERO ,   PISO 
                                       FROM  pvitls_postventa.tblpropiedades  
                                      WHERE NUMERO = '$numero' 
                                      AND ID_DISENOETAPA = '$id_diseno'
                                      AND PISO = '$num_piso'",$conexion1); 
 	 if(mysql_num_rows($resultado)> 0){
	 	return "1";
	 }else{
	 	return "0";
	 }

}


function buscarIDproyecto($proyecto,$conexion){
	$resultado = mysql_query("SELECT ID_PROYECTO FROM  pvitls_postventa.tblproyectos WHERE PROYECTO = '$proyecto'",$conexion); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
   		return $resultado['ID_PROYECTO']; 
	}  
}

//BUSCAMOS EL ID DE LA ETAPA
function buscarIDetapa($etapa,$id_proyecto,$conexion){	
$resultado = mysql_query("SELECT ID_ETAPA FROM  pvitls_postventa.tbletapas WHERE ETAPA = '$etapa' AND ID_PROYECTO = '$id_proyecto'",$conexion); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
   		return $resultado['ID_ETAPA']; 
	}  
 }

 function buscarmodelo($abreviatura, $num_pisos,$num_subterraneos,$conexion){
	$resultado = mysql_query("SELECT ID_MODELOUNIDADCONSTRUCCION, ABREVIATURA, SUPERFICIE, NUM_PISOS, NUM_SUBTERRANEOS, CANT_PROPIEDADES
						 FROM  pvitls_postventa.tblmodelounidadconstrucciones 
						 WHERE ABREVIATURA='$abreviatura' AND  NUM_PISOS='$num_pisos' AND NUM_SUBTERRANEOS='$num_subterraneos'",$conexion);

	while( $resultado = mysql_fetch_array($resultado)) { 
   		return $resultado['ID_MODELOUNIDADCONSTRUCCION']; 
	}  
}

function buscarIDdisenoEtapa($id_etapa,$id_modelounidaconstruccion,$conexion){
	$resultado = mysql_query("SELECT ID_DISENOETAPA FROM  pvitls_postventa.tblconfiguracionetapas
							 WHERE ID_ETAPA = '$id_etapa' AND ID_MODELOUNIDADCONSTRUCCION = '$id_modelounidaconstruccion'",$conexion); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
   		return $resultado['ID_DISENOETAPA']; 
	}  

}

function buscarIDmodelopropiedad($abreviatura,$sup_util,$sup_terraza,$conexion){	
	$resultado = mysql_query("SELECT ID_MODELO, ID_TIPOPROPIEDAD, ABREVIATURA, SUP_UTIL, SUP_TERRAZA, SUP_CONSTRUIDA
								 FROM  pvitls_postventa.tblmodelopropiedades WHERE ABREVIATURA = '$abreviatura' AND SUP_UTIL = '$sup_util' AND SUP_TERRAZA = '$sup_terraza'",$conexion); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
   		return $resultado['ID_MODELO']; 
	} 
}


?>